<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
if (isset($_REQUEST['id_comp'])) {
    $id_comp = intval($_REQUEST['id_comp']);
    $sql         = mysqli_query($conexion, "select * from comprobantes where  id_comp ='$id_comp'");
    $rw          = mysqli_fetch_array($sql);
    $serie_comp  = $rw['serie_comp'];
    $desde_comp  = $rw['desde_comp'];
    $hasta_comp  = $rw['hasta_comp'];
    $actual_comp = $rw['actual_comp'];
    $long_comp   = $rw['long_comp'];
    $tipo_comp   = $rw['tipo_comp'];

    $rs = mysqli_query($conexion, "SELECT MAX(num_fact) AS factura FROM correlativos WHERE tipo_fact='$id_comp'") or die('error ' . mysqli_error($conexion));
    $row          = mysqli_fetch_array($rs);
    $numfactura = $row['factura'];
    $test = $numfactura + 1;
    $formato = str_pad($test, $long_comp, "0", STR_PAD_LEFT);
    $completo = $serie_comp . '' . $formato;
    //$for= str_pad($serie_comp,0,".");

    echo '<input type="text" class="form-control" autocomplete="off" id="factura" value="' . $completo . '" placeholder="Factura" readonly name="factura" >';
    echo '<input type="hidden" class="form-control" autocomplete="off" id="tipo_comp" value="' . $tipo_comp . '" name="tipo_comp" >';
}
